# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
---
repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.4.0
    hooks:
      - id: trailing-whitespace
      - id: end-of-file-fixer
      - id: check-yaml
      - id: check-case-conflict
      - id: check-symlinks
      - id: check-json
      - id: detect-private-key
      - id: mixed-line-ending
        args: ['--fix=lf']
      - id: no-commit-to-branch
        args: [--branch, main]
      - id: pretty-format-json
        args: [--autofix, --no-sort-keys]
  - repo: https://github.com/compilerla/conventional-pre-commit
    rev: v2.2.0
    hooks:
      - id: conventional-pre-commit
        stages: [commit-msg]
  - repo: https://github.com/golangci/golangci-lint
    rev: v1.60.3 # Keep this in-sync with `.tool-versions`
    hooks:
    -   id: golangci-lint
